import { jsx } from "react/jsx-runtime";
import { BoundingBoxIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const BoundingBox = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "BoundingBox", ...props, children: /* @__PURE__ */ jsx(BoundingBoxIcon, { weight: variant }) });
  }
);
BoundingBox.displayName = "BoundingBox";
Object.assign(BoundingBox, { isGdsIcon: true });
export {
  BoundingBox
};
